org.keycloak.saml.processing.core.parsers.saml

## Class SAMLAuthNRequestParser

- java.lang.Object
- - org.keycloak.saml.processing.core.parsers.saml.SAMLRequestAbstractParser
  - - org.keycloak.saml.processing.core.parsers.saml.SAMLAuthNRequestParser

- All Implemented Interfaces:
    ParserNamespaceSupport

      public class SAMLAuthNRequestParser
      extends SAMLRequestAbstractParser
      implements ParserNamespaceSupport

  Parse the SAML2 AuthnRequest
  Since:
    Nov 2, 2010
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.saml.processing.core.parsers.saml.SAMLRequestAbstractParser

      `id, issueInstant, logger, version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLAuthNRequestParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `parse(XMLEventReader xmlEventReader)` Parse the event stream
    `boolean` | `supports(QName qname)` Returns whether the parser supports parsing a particular namespace

    - ### Methods inherited from class org.keycloak.saml.processing.core.parsers.saml.SAMLRequestAbstractParser

      `getSubject, parseBaseAttributes, parseCommonElements, parseRequiredAttributes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMLAuthNRequestParser

          public SAMLAuthNRequestParser()

  - ### Method Detail

    - #### parse

          public Object parse(XMLEventReader xmlEventReader)
                       throws ParsingException

      Description copied from interface: `ParserNamespaceSupport`
      Parse the event stream
      Specified by:
        `parse` in interface `ParserNamespaceSupport`
      Returns:
      Throws:
        `ParsingException`
      See Also:
        `ParserNamespaceSupport#parse(XMLEventReader)}`

    - #### supports

          public boolean supports(QName qname)

      Description copied from interface: `ParserNamespaceSupport`
      Returns whether the parser supports parsing a particular namespace
      Specified by:
        `supports` in interface `ParserNamespaceSupport`
      Returns:
      See Also:
        `ParserNamespaceSupport#supports(QName)}`

Copyright © 2016 JBoss by Red Hat. All rights reserved.